cURL
curl --request GET \
--url https://api.teamfollowup.ai/api/power-dialer/pipeline/callbacks \
--header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.teamfollowup.ai/api/power-dialer/pipeline/callbacks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teamfollowup.ai/api/power-dialer/pipeline/callbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"leads": [
{
"_id": "64f2a8c8a2b3c4d5e6f7a8b9",
"queueId": "queue_123",
"cadenceStep": 0,
"callStatus": "scheduled",
"nextCallTime": "2026-07-08T17:00:00.000Z",
"timezone": "America/New_York",
"firstName": "Alex",
"fullName": "Alex Morgan",
"email": "alex@example.test",
"phone": "+14155551234",
"live": false,
"callerPreference": "morning",
"createdAt": "2026-07-08T16:00:00.000Z",
"tags": [
"new_lead"
],
"locationId": "loc_9f7a123",
"businessName": "Acme Clinic",
"pipeline": "v2",
"campaignId": "campaign_speed_to_lead_123",
"campaignName": "Speed to Lead",
"callback": true,
"callbackRequestedAt": "2026-07-08T16:15:00.000Z"
}
],
"total": 1,
"page": 1,
"totalPages": 1
}
}{
"success": false,
"error": "cadenceStep query parameter is required"
}{
"success": false,
"error": "Unauthorized"
}{
"success": false,
"error": "You do not have access to this project"
}{
"success": false,
"error": "TooManyRequests"
}{
"success": false,
"error": "Unexpected server error."
}List callback leads
List callback leads waiting for their promised callback time. Customer roles: agency_admin, project_user.
Required API key scope: power_dialer:read.
GET
/
api
/
power-dialer
/
pipeline
/
callbacks
cURL
Authorizations
Send your API key as Authorization: Bearer YOUR_API_KEY.
Query Parameters
Page number.
Required range:
x >= 1Page size. Maximum 100.
Required range:
1 <= x <= 100Case-insensitive lead search.
Limit results to one project location id. The caller must have access to the project.
Limit results to one campaign id.
Comma-separated campaign ids for combined campaign views.
⌘I
